<!--
 * @Date: 2024-04-04 21:51:24
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-05 20:56:40
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/console/base/shift-calendar.vue
-->
<template>
    <el-main>
        <el-card shadow="never">
            <el-tabs tab-position="top" class="custom-tabs" v-model="activeName">
                <el-tab-pane label="生产日历" name="1">
                    <CalenderTab></CalenderTab>
                </el-tab-pane>
                <el-tab-pane label="班制" name="2">
                    <ShiftsystemVue v-if="activeName == 2"></ShiftsystemVue>
                </el-tab-pane>
            </el-tabs>
        </el-card>
    </el-main>
</template>
<script>
import CalenderTab from './CalenderTab.vue';
import ShiftsystemVue from './Shiftsystem.vue';
export default {
    components: {
        CalenderTab,
        ShiftsystemVue
    },
    data() {
        return {
            activeName: '1'
        }
    }
}
</script>
<style lang="scss" scoped>
.el-tabs--card {
    // height: calc(100vh - 110px - 56px);
    /* overflow-y: auto; */
}

.el-tab-pane {
    // height: calc(100vh - 110px - 56px);
    // overflow-y: auto;
}

// .custom-tabs {
//     height: 500px;
//     overflow: scroll;
// }</style>